com.oracle.truffle.object.basic

## Class DefaultLayoutFactory

- java.lang.Object
- - com.oracle.truffle.object.basic.DefaultLayoutFactory

All Implemented Interfaces:
  LayoutFactory

    public class DefaultLayoutFactory
    extends java.lang.Object
    implements LayoutFactory

### Constructor Summary

Constructors
Constructor and Description
`DefaultLayoutFactory()`

### Method Summary

Methods
`Layout` `createLayout(LayoutBuilder layoutBuilder)`
`Property` `createProperty(java.lang.Object id, Location location, int flags)`
`int` `getPriority()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLayoutFactory

    public DefaultLayoutFactory()

### Method Detail

#### createLayout

    public Layout createLayout(LayoutBuilder layoutBuilder)

Specified by:
  `createLayout` in interface `LayoutFactory`

#### createProperty

    public Property createProperty(java.lang.Object id,
                          Location location,
                          int flags)

Specified by:
  `createProperty` in interface `LayoutFactory`

#### getPriority

    public int getPriority()

Specified by:
  `getPriority` in interface `LayoutFactory`